

// **************** Constants ***************************
const int MyButton = 0;     // The number of the pin that the button is connected to
const int MyLed =  1;      // The number of the pin that the led is connected to

// **************** Variables ***************************
int buttonState = 0;         // The state of the button: LOW: 0 = Pushed, HIGH: 1 = Not pushed

void setup() {
  // Initialize Input/Output pins. It is necessary to define the direction 
  // of each pin used. You have to say if it's a output or a input.

  // LED is an output
  pinMode(MyLed, OUTPUT);
  // Button is an input
  pinMode(MyButton, INPUT);
}
// Program loop
void loop() {
  // Check the state of the button. The result will be store in buttonState. 
  // 0(LOW) = Not pushed,1(HIGH) = pushed
  buttonState = digitalRead(MyButton);

  // If the pushbutton is pressed (LOW).
  if (buttonState == LOW) {
    // Set the output to LOW. So it's going to turn ON the LED.
    digitalWrite(MyLed, LOW);
    // else the pushbutton is not pressed (low).
  } else {
    // Set the output to HIGH. So it's going to turn OFF the LED.
    digitalWrite(MyLed, HIGH);
  }
}
